# Require $prefix, $workdir, $git_src
install_git()
(
  set -e
  [[ -e $prefix/bin/git ]] && exit 0

  [[ "$workdir" = */hscpipe_build_dir ]] || exit 1
  rm -rf "$workdir"; mkdir -p "$workdir"; pushd "$workdir"

  curl -L "$git_src" | tar -xJf -

  cd *
  ./configure --prefix="$prefix" --with-curl --with-expat
  make
  make install
)
